Bug 1124129 - [Docs][PRD3.5][3.5Beta] [Change] JSON-rpc support
Summary: [Docs][PRD3.5][3.5Beta] [Change] JSON-rpc support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: ---
Assignee: Julie
QA Contact: Andrew Dahms
URL:
Whiteboard:
Depends On: 1083763
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 03:39 UTC by Andrew Dahms
Modified: 2015-02-13 04:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-13 04:01:13 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-07-29 03:39:58 UTC
This change adds support for using JSON-format remote procedure calls instead of XML-format remote procedure calls.

This will involve ensuring the 'Use JSON protocol' check box in the 'Advanced Parameters' disclosure area of the 'New Host' and 'Edit Host' windows is documented, and perhaps a note somewhere in the Technical Guide about how this protocol is now used.

The details in the oVirt feature page will provide a good place to start.

oVirt feature page: http://www.ovirt.org/Features/Design/JsonRpc

PRD Bug: https://bugzilla.redhat.com/show_bug.cgi?id=1083763

Comment 2 Julie 2014-10-22 14:28:13 UTC
The JSON part of the bug has been updated. 
I've also changed External Providers to Foreman Hosts Providers to match the UI, and added Discovered Hosts items.

I cannot flip this bug to ON_QA because I cannot locate the definition for the 'Discovered Hosts' under 'Use Foreman Hosts Providers'.

Andrew, do you know where I can find such info?

Comment 6 Andrew Dahms 2015-01-06 00:45:34 UTC
Checked in cs22766.

Changed one instance of 'has' to 'have'.

Moving to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.